#include "constants.h"
#include "repartition.h"

repartition ::repartition (QTabWidget* parent=0,const char* name=0, WFlags f=0 ) : QWidget(parent,name,f)
{
 _bufferRepartition.resize(SIZE_IMAGE_REPARTITION_X,SIZE_IMAGE_REPARTITION_Y) ;
 //_bufferRepartitionLocal.resize(SIZE_IMAGE_REPARTITION_X,SIZE_IMAGE_REPARTITION_Y) ;
}

repartition :: ~repartition()
{
}

void repartition :: drawRepartition(long* t)
{
 QPainter windowpainter ;
 QPainter bufferpainter ;
 long maximum=0,i,h ;


 //cout << " mmmmmm " << endl ;
 for(i=0;i<SIZE_IMAGE_REPARTITION_X;i++)
	if (t[i]>maximum) maximum = t[i] ;
 if (maximum==0) { maximum = 1 ; }

 windowpainter.begin( this ) ;
 bufferpainter.begin( &_bufferRepartition ) ;

 for(i=0;i<SIZE_IMAGE_REPARTITION_X;i++)
	{
	 windowpainter.setPen( black ) ;
	 bufferpainter.setPen( black ) ;
	 h = (t[i]*SIZE_IMAGE_REPARTITION_Y)/maximum ;
	 windowpainter.drawLine(9+i,3+SIZE_IMAGE_REPARTITION_Y,9+i,3+SIZE_IMAGE_REPARTITION_Y-h) ;
	 bufferpainter.drawLine(i,SIZE_IMAGE_REPARTITION_Y,i,SIZE_IMAGE_REPARTITION_Y-h) ;
	 windowpainter.setPen( white ) ;
	 bufferpainter.setPen( white ) ;
	 windowpainter.drawLine(9+i,3+SIZE_IMAGE_REPARTITION_Y-h,9+i,3 ) ;
	 bufferpainter.drawLine(i,SIZE_IMAGE_REPARTITION_Y-h-1,i,0 ) ;
	}
 windowpainter.end() ;
 bufferpainter.end() ;
}


void repartition :: paintEvent( QPaintEvent* event )
{
 bitBlt( this , 9 , 3 , &_bufferRepartition ) ;
}





