#include "constants.h"
#include "planche.h"
#include "conteneur.h"

conteneur::conteneur()
{

 //setFocusPolicy(QWidget::StrongFocus) ;

 _scrollview = new QScrollView( this ) ;
 //_scrollview->setGeometry(0,0,600,600) ;
 _planche = new planche(this,"_planche",0) ;
 _scrollview->addChild( _planche ) ;
 //resize( QSize(SIZE_PLANCHE,SIZE_PLANCHE) ) ;

  QObject::connect( _planche,SIGNAL(signalRepartitionIntChanged(long*,long,long)),
 			this,SLOT(slotRepartitionIntChanged(long*,long,long))) ;
  QObject::connect( _planche,SIGNAL(signalFrameChanged(double,double,double,double)),
 			this,SLOT(slotFrameChanged(double,double,double,double))) ;
 show() ;

}

conteneur :: ~conteneur() {}

void conteneur :: getRepartitionLong(long* t,long m,long M) { _planche->calculateRepartitionInt(t,m,M ) ; }
void conteneur :: slotDrawMatrixLong(long imr,long iMr,long typeF,int delay ,bool isInverse )
{
 _planche->drawMatrixLong(imr,iMr,typeF,delay,isInverse ) ;
}
void conteneur :: slotDelayChanged(int d){ _planche->drawMatrixLongOnlyDelay(d) ; }
void conteneur :: getRepartitionDouble(long* t,double m,double M)
{

}
void conteneur :: slotFrameChanged(double a,double b,double c,double d) { emit signalFrameChanged(a,b,c,d) ; }
void conteneur :: slotRepartitionIntChanged(long* a,long b,long c) { emit signalRepartitionIntChanged(a,b,c) ; }
void conteneur :: slotCalculate(QString* p) { _planche->calculateF9(p) ; }
void conteneur :: changeCoordinate(QString* p) { _planche->changeCoordinate(p) ; }
void conteneur :: changeParametersWithoutXY(QString* p) { _planche->changeParametersWithoutXY(p) ; }
void conteneur :: changeSizeMatrix(long s) { _planche->changeSizeMatrix(s) ; }
void conteneur :: loadPalette(QString f) { _planche->loadPalette(f) ; }
void conteneur :: saveImage(QString f) { _planche->saveImage(f)  ; }
void conteneur :: resizeEvent(QResizeEvent* e ) {  _scrollview->setGeometry(0,0,width(),height()) ; }







